Ming Image — Bildgenerierung aus Text
curl --request POST \
--url https://api.novita.ai/v1/images/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": {},
"prompt": "<string>",
"output_format": "<string>",
"response_format": "<string>",
"size": "<string>",
"watermark": true
}
'import requests
url = "https://api.novita.ai/v1/images/generations"
payload = {
"model": {},
"prompt": "<string>",
"output_format": "<string>",
"response_format": "<string>",
"size": "<string>",
"watermark": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
model: {},
prompt: '<string>',
output_format: '<string>',
response_format: '<string>',
size: '<string>',
watermark: true
})
};
fetch('https://api.novita.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"b64_json": "<string>"
}
],
"output_format": "<string>",
"size": "<string>",
"usage": {
"input_tokens": 123,
"input_tokens_details": {
"image_tokens": 123,
"text_tokens": 123
},
"output_tokens": 123,
"total_tokens": 123,
"output_tokens_details": {
"image_tokens": 123,
"text_tokens": 123
}
},
"model": "<string>",
"id": "<string>"
}Image Generator
Ming Image — Bildgenerierung aus Text
POST
/
v1
/
images
/
generations
Ming Image — Bildgenerierung aus Text
Ming Image ist eine Familie von Modellen zur Bildgenerierung.
ming-image-0.1-design unterstützt die Bildgenerierung aus Text über das OpenAI-Protokoll zur Bildgenerierung.
ming-image-0.1-design: Unterstützt die Bildgenerierung aus Text über das OpenAI-Protokoll zur Bildgenerierung.ming-image-0.1-design-layer: Unterstützt ausschließlich die Zerlegung in Ebenen über das OpenAI-Protokoll zur Bildbearbeitung (siehe die API zur Ebenenzerlegung mit Ming Image).
Anfrage-Header
string
erforderlich
Unterstützt:
application/jsonstring
erforderlich
Format der Bearer-Authentifizierung, zum Beispiel: Bearer {{API Key}}.
Anfragekörper
enum
erforderlich
Name des Modells. Verfügbare Werte:
ming-image-0.1-designstring
erforderlich
Textbeschreibung des Bildes.
string
Standard:"png"
Format des Ausgabebildes. Muss
png oder jpeg sein.string
Standard:"b64_json"
Format, in dem das Bild zurückgegeben wird; der Standardwert ist
b64_json. Verfügbare Werte: url, b64_json. Hinweis: url ist 24 Stunden gültig.string
Standard:"auto"
Größe des Ausgabebildes. Der Standardwert
auto wählt die Größe automatisch anhand des Modells. Format: "{w}x{h}", zum Beispiel "1024x1024".ming-image-0.1-design unterstützt nur Größen ab 1k, zum Beispiel "1024x1024", "2048x2048".boolean
Standard:false
Legt fest, ob dem KI-generierten Bild ein Wasserzeichen hinzugefügt wird.
true: Aktiviert das sichtbare Wasserzeichen und das implizite digitale Wasserzeichen auf KI-generierten Bildern gemäß den Richtlinienanforderungen. false: Deaktiviert alle Wasserzeichen.Antwort
integer
erforderlich
Unix-Zeitstempel (in Sekunden) zum Zeitpunkt der Erstellung der Antwort.
array
erforderlich
Array der zurückgegebenen Bilder; jedes Element enthält die Informationen zu einem generierten Bild.
Anzeigen Eigenschaften
Anzeigen Eigenschaften
string
Base64-kodierte Daten des generierten Bildes.
string
erforderlich
Tatsächliches Format des Ausgabebildes, zum Beispiel
png, jpeg.string
nullobject
erforderlich
Statistiken zur Token-Nutzung.
Anzeigen Eigenschaften
Anzeigen Eigenschaften
integer
Gesamtzahl der Eingabe-Tokens (0 bei der Bildgenerierung aus Text).
object
integer
Gesamtzahl der Ausgabe-Tokens (also die vom generierten Bild verbrauchten Tokens).
integer
Summe der Eingabe- und Ausgabe-Tokens.
string
erforderlich
Name des Modells, das die Anfrage tatsächlich verarbeitet hat.
string
erforderlich
Eindeutige Kennung dieser Anfrage.
Beispiel
Anfrage:
curl --location --request POST 'https://api.novita.ai/v1/images/generations' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'content-type: application/json' \
--data-raw '{
"model": "ming-image-0.1-design",
"prompt": "Generate a banana"
}'
Antwort:
{
"created": 1789642354,
"data": [
{
"b64_json": "..."
}
],
"output_format": "png",
"size": null,
"usage": {
"input_tokens": 0,
"input_tokens_details": {
"image_tokens": 0,
"text_tokens": 0
},
"output_tokens": 16384,
"total_tokens": 16384,
"output_tokens_details": {
"image_tokens": 16384,
"text_tokens": 0
}
},
"model": "Ming-Image-0.1-Design-StressTest",
"id": "2180534417896423312485570e8523"
}
Zuletzt geändert am 21. September 2026